#
# spec file for package sblim-indication_helper (Version 0.4.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sblim-indication_helper
BuildRequires:  gcc-c++ sblim-cmpi-devel
Version:        0.4.2
Release:        179.3
Group:          System/Management
License:        IPL-1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sblim.wiki.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:         sblim-indication_helper-0.4.2_warnings.patch
# PATCH-FIX-UPSTREAM sblim-indication_helper-0.4.2-missing-includes.patch [upstream bug 2685374] mhrusecky@suse.cz -- adding missing include
# https://sourceforge.net/tracker/index.php?func=detail&aid=2685374&group_id=128809&atid=712784
Patch1:         sblim-indication_helper-0.4.2-missing-includes.patch
Summary:        Toolkit for CMPI Indication Providers

%description 
This package contains a developer library for helping out when writing
CMPI providers. This library polls the registered functions for data
and, if it changes, a CMPI indication is set with the values of the
indication class properties (also set by the developer).



Authors:
--------
    SBLIM Project

%package devel
License:        IPL-1.0
Summary:        Toolkit for CMPI indication providers (Development Files)
Requires:       %{name} = %{version}
Requires:       sblim-cmpi-devel glibc-devel
Group:          Development/Libraries/C and C++

%description devel
This package contain developer library for helping out when writing
CMPI providers. This library polls the registered functions for data
and if they change an CMPI indication is set with the values of the
indication class properties (also set by the developer).

This package holds the development files for sblim-indication_helper.



Authors:
--------
    SBLIM Project

%prep
%setup -q
%patch0
%patch1 -p1

%build
%configure --disable-static --with-pic
%{__make}

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO
%{_libdir}/libind_helper.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/sblim
%{_libdir}/libind_helper.so
%exclude %{_libdir}/libind_helper.la

%changelog
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Mar 12 2009 mhrusecky@suse.cz
- adding missing include file to ind_helper.c
* Fri May 30 2008 npaxton@novell.com
- Change openwbem-devel dependency to sblim-cmpi-devel, to be
  cimom neutral
* Thu Feb 28 2008 crrodriguez@suse.de
- fix library-without-ldconfig* errors
- disable static libraries
* Wed Mar  1 2006 mrueckert@suse.de
- update to 0.4.2
  * ind_helper.c, ind_helper.h:
  Bugs: 1203849 (side effect) made a lot of function arguments
  const in order to remove the cmpi-base warnings.
- added sblim-indication_helper-0.4.2_warnings.patch
  fixes a small warning regarding pointer size
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 mrueckert@suse.de
- Initial package of version 0.4.1
